Docs
Set Default Payment Method
PUT /payment-methods/{paymentMethodId}/default
PUT
/payment-methods/{paymentMethodId}/defaultMakes a saved payment method the default for the organization's billing. Requires OrganizationAdmin and an Idempotency-Key header. The id comes from PaymentMethods_GetPaymentMethods. Returns the outcome (Applied).
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| paymentMethodId | string | Required |
Headers
| Field | Type | Required | Description |
|---|---|---|---|
| Idempotency-Key | string | Optional |
Response
| Field | Type | Description |
|---|---|---|
| outcome | string| null | |
| hostedInvoiceUrl | string| null | |
| accessUntil | date-time| null |